document.addEventListener('DOMContentLoaded', () => {
  // Add subtle animation to articles
  const articles = document.querySelectorAll('article');
  articles.forEach((article, index) => {
    article.style.opacity = '0';
    article.style.animation = `fadeIn 0.5s ease forwards ${index * 0.1}s`;
  });

  // Add to head
  const style = document.createElement('style');
  style.textContent = `
    @keyframes fadeIn {
      from { opacity: 0; transform: translateY(10px); }
      to { opacity: 1; transform: translateY(0); }
    }
  `;
  document.head.appendChild(style);

  // Smooth scroll for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});